IBM WebSphere Application Server Support and Documentation for SAS® 9.3

IBM WebSphere Application Server Software Version Requirements

This page indicates the minimum version required for IBM WebSphere Application Server for use with SAS 9.3. It is possible to use updated versions of JBoss Application Server. See SAS Third-Party Software Requirements - Baseline and Higher Support for more details.

SAS 9.3 TS1M2 and IBM WebSphere Application Server (64-bit) | Contact IBM

PlatformVersion
Linux on x64 (x86-64)
(Red Hat Enterprise Linux 5,
Novell SuSE Linux Enterprise Server 10 and 11)

Solaris on SPARC
(Solaris 10)

AIX on Power
AIX 6.1 and 7.1 (64-bit) with recommended maintenance packages

Solaris 10 x64
(x86-64)
(Solaris 10)

Windows x64 (x86-64)
(Windows Server 2003 x64)
(Windows Server 2008 x64)
(Windows Server 2008 R2 x64)
7.0.0.13
8.0.0.2
8.5.0.1
Linux on x64 (x86-64)
(Red Hat Enterprise Linux 6)
7.0.0.15
8.0.0.2
8.5.0.1

JSAS 9.3 TS1M0 & TS1M1 and IBM WebSphere Application Server (64-bit) | Contact IBM

PlatformVersion
Linux on x64 (x86-64)
(Red Hat Enterprise Linux 5,
Novell SuSE Linux Enterprise Server 10 and 11)

Solaris on SPARC
(Solaris 10)

AIX on Power
AIX 6.1 and 7.1 (64-bit) with recommended maintenance packages

Solaris 10 x64
(x86-64)
(Solaris 10)

Windows x64 (x86-64)
(Windows Server 2003 x64)
(Windows Server 2008 x64)
(Windows Server 2008 R2 x64)
7.0.0.13
Linux on x64 (x86-64)
(Red Hat Enterprise Linux 6)
7.0.0.15

Notes:

  • SAS 9.3 supports both WebSphere Application Server and WebSphere Application Server Network Deployment.
  • The SAS Deployment Wizard supports automatic configuration only for WebSphere Application Server Network Deployment. For WebSphere Application Server, you need to perform manual configuration steps after you run SAS Deployment Wizard.
  • Some SAS solutions do not support WebSphere Application Server at all, and some only support WebSphere Application Server Network Deployment. Some solutions do not support all of the versions or platforms listed below. See the system requirements for your SAS solution for definitive information.
  • WebSphere is packaged with its own JDK, which cannot be switched for another JDK.
  • You must use a supported version of JDK with SAS 9.3, as documented in SAS 9.3 Support for Java Development Kits.
  • To contact an IBM representative or to place an order for WebSphere, see the IBM Application Infrastructure page. You can reach a representative by calling the toll-free telephone number under We're here to help in the right pane.
  • You must review and follow the instructions in the WebSphere Application Server Fix Packs section below to obtain and apply the required fix pack from IBM.
  • Before you run the SAS Deployment Wizard to install SAS software and configure IBM WebSphere, review the IBM WebSphere Application Server documentation for SAS 9.3 below.

IBM WebSphere Application Server Fix Packs

SAS 9.3 supports IBM WebSphere Application Server V7.0 with the WebSphere Application Server V7.0.0 Fix Pack 13 or later applied. This separate fix pack must be installed on WebSphere Application Server 7.0 to bring it to a supported level.

SAS 9.3 supports IBM WebSphere Application Server V8.0 with the WebSphere Application Server V8.0.0 Fix Pack 2 or later applied. This separate fix pack must be installed on WebSphere Application Server 8.0 to bring it to a supported level.

SAS 9.3 M2 supports IBM WebSphere Application Server V8.5 with the WebSphere Application Server V8.5.0 Fix Pack 1 or later applied. This separate fix pack must be installed on WebSphere Application Server 8.5 to bring it to a supported level.


IBM WebSphere Application Server Configuration Documentation

This page contains pre-installation and post-installation documents that are specific to using IBM WebSphere Application Server in the SAS 9.3 middle tier.

Note: SAS does not provide documentation that describes how to secure your IBM WebSphere Application Server. For information about securing WebSphere Application Server, refer to the IBM documentation. For example, IBM produces the IBM WebSphere Application Server V6.1 Security Handbook and WebSphere Application Server V7.0 Security Guide.

Pre-Installation Documents:

Post-Installation Configuration:

Security-Related Configuration:

Recommended Resources


Explore our training options, including on-site classroom, live web, e-learning and one-on-one mentoring.


Validate your SAS knowledge and skills by earning a globally recognized credential from SAS.


Explore documentation on topics of interest to SAS administrators.
 

Back to Top